%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Move a junta n_joint para a posicao joint_value
%
% Joao Sequeira, 2003
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function status = rob3_move_joint(sp, n_joint, joint_value)

if n_joint<1 | n_joint>6
    status = 'Unavailable joint';
    return
elseif joint_value<0 | joint_value>255
    status = 'Joint value outside allowed range';
    return
end

serial_port_clean_inbuffer(sp);

cmd(1) = 8 + n_joint - 1;
cmd(2) = bitand(joint_value, 255);
cmd(3) = 3;
serial_port_write(sp,cmd);
status = [];
while isempty(status),
    status = serial_port_read(sp);
end
return