%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Move a junta n_joint para a posicao joint_pos com velocidade joint_vel
%
% Joao Sequeira, 2003
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function status = rob3_move_joint_with_speed(sp, n_joint, joint_pos, joint_vel)

if n_joint<1 | n_joint>6
    status = 'Unavailable joint';
    return
elseif joint_pos<0 | joint_pos>255
    status = 'Joint value outside allowed range';
    return
end

serial_port_clean_inbuffer(sp);

cmd(1) = 120 + n_joint - 1;
cmd(2) = bitand(joint_pos, 255);
cmd(3) = joint_vel;
cmd(4) = 3;
serial_port_write(sp,cmd);
status = [];
while isempty(status),
    status = serial_port_read(sp);
end
return