%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Move todas as juntas para as posicoes especificadas no array joint_values
%
% Joao Sequeira, 2003
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function status = rob3_move_joints_to(sp, joint_pos)

[m,n] = size(joint_pos);

if n==6
    if min(joint_pos)<0 | max(joint_pos)>255
        status = 'At least 1 joint value outside allowed range';
        return
    end
else
    status = 'Incorrect number of joints';
    return
end

serial_port_clean_inbuffer(sp);

cmd(1) = 15;
cmd(2) = bitand(joint_pos(1), 255);
cmd(3) = bitand(joint_pos(2), 255);
cmd(4) = bitand(joint_pos(3), 255);
cmd(5) = bitand(joint_pos(4), 255);
cmd(6) = bitand(joint_pos(5), 255);
cmd(7) = bitand(joint_pos(6), 255);
cmd(8) = 3;

serial_port_write(sp,cmd);
status = [];
while isempty(status),
    status = serial_port_read(sp);
end
return