%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Move todas as juntas para as posicoes especificadas no array joint_pos,
% com as velocidades especificadas no array joint_vel
%
% Joao Sequeira, 2003
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function status = rob3_move_joints_with_speed(sp, joint_pos, joint_vel)

[mp,np] = size(joint_pos);
[mv,nv] = size(joint_vel);

if np==6 && nv==6
    if min(joint_pos)<0 | max(joint_pos)>255
        status = 'At least one joint value is outside allowed range';
        return
    end
else
    status = 'Incorrect number of joints';
    return
end

serial_port_clean_inbuffer(sp);

cmd(1) = 127;
cmd(2) = bitand(joint_pos(1), 255);
cmd(3) = bitand(joint_pos(2), 255);
cmd(4) = bitand(joint_pos(3), 255);
cmd(5) = bitand(joint_pos(4), 255);
cmd(6) = bitand(joint_pos(5), 255);
cmd(7) = bitand(joint_pos(6), 255);
cmd(8) = joint_vel(1);
cmd(9) = joint_vel(2);
cmd(10) = joint_vel(3);
cmd(11) = joint_vel(4);
cmd(12) = joint_vel(5);
cmd(13) = joint_vel(6);
cmd(14) = 3;
serial_port_write(sp,cmd);
status = [];
while isempty(status),
    status = serial_port_read(sp);
end
return