%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Inicializa a porta serie para as especificacoes do ROB3 / TR5
% (contem as alteraoes para a release R14)

% Joao Sequeira, 2003
% Ricardo Ferreira, 2004
% Rodrigo Ventura, 2007
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function sp = serial_port_start()

port_name = 'COM1';

sp = serial(port_name, 'BaudRate', 9600, 'Parity', 'none', 'StopBits', 1, 'DataBits', 8);

out = instrfind;
[m,n] = size(out);
for i=1:n,
    if strcmp(out(i).Status,'open')
        fclose(out(i));
        disp(['Old connection at index ', num2str(i), ' closed']);
    end
end

sp.Timeout                  = 1; 
sp.ReadAsyncMode            = 'continuous';

sp.BytesAvailableFcn        = @serial_port_read_char;
sp.BytesAvailableFcnMode    = 'byte';
sp.BytesAvailableFcnCount   = 1;

fopen(sp)

disp(['Trying a new connection to serial port ', port_name, ' ...']);

if strcmp(get(sp,'Status'),'closed')
    disp('... impossible to establish connection - Check the available COM ports');
    delete(sp);
    clear sp;
    return
else
    disp('...established');
end
return 